Commit 3ab5028d authored by incardon's avatar incardon

Fixing install PETSC

parent cd3cb602
Pipeline #870 failed with stages
in 13 minutes and 17 seconds
......@@ -211,7 +211,7 @@ echo -e "Installing requirements into: $i_dir "
### Installing PETSC
if [ ! -d "$i_dir/PETSC" -o ! -d "$i_dir/EIGEN" ]; then
if [ ! -d "$i_dir/PETSC" -o ! -f "$i_dir/PETSC/include/petsc.h" -o ! -d "$i_dir/EIGEN" ]; then
echo -e "\033[1;34m Optional packages \033[0m"
echo -e "\033[1mDo you want to install linear algebra packages ?(y/n)\033[0m"
echo "Installation can take long time (90 minutes on i7-3612QM 4 cores)"
......@@ -522,13 +522,6 @@ echo -e "\033[1;34;5m -------------------------------- \033[0m"
installation_report=""
if [ -d "$i_dir/TRILINOS" ]; then
installation_report="$installation_report \033[92;1mTRILINOS\033[0m Installed: \033[1m $i_dir/TRILINOS \033[0m\n"
bash_library="$bash_library:$i_dir/TRILINOS/lib"
else
installation_report="$installation_report \033[91;1mTRILINOS\033[0m Installed: \033[1m NO \033[0m\n"
fi
if [ -d "$i_dir/OPENBLAS" ]; then
installation_report="$installation_report \033[92;1mOPENBLAS\033[0m Installed: \033[1m $i_dir/OPENBLAS \033[0m\n"
bash_library="$bash_library:$i_dir/OPENBLAS/lib"
......@@ -543,34 +536,6 @@ else
installation_report="$installation_report \033[91;1mSUITESPARSE\033[0m Installed: \033[1m NO \033[0m\n"
fi
if [ -d "$i_dir/SCALAPACK" ]; then
installation_report="$installation_report \033[92;1mSCALAPACK\033[0m Installed: \033[1m $i_dir/SCALAPACK \033[0m\n"
bash_library="$bash_library:$i_dir/SCALAPACK/lib"
else
installation_report="$installation_report \033[91;1mSCALAPACK\033[0m Installed: \033[1m NO \033[0m\n"
fi
if [ -d "$i_dir/MUMPS" ]; then
installation_report="$installation_report \033[92;1mMUMPS\033[0m Installed: \033[1m $i_dir/MUMPS \033[0m\n"
bash_library="$bash_library:$i_dir/MUMPS/lib"
else
installation_report="$installation_report \033[91;1mMUMPS\033[0m Installed: \033[1m NO \033[0m\n"
fi
if [ -d "$i_dir/SUPERLU_DIST" ]; then
installation_report="$installation_report \033[92;1mSUPERLU_DIST\033[0m Installed: \033[1m $i_dir/SUPERLU_DIST \033[0m\n"
bash_library="$bash_library:$i_dir/SUPERLU_DIST/lib"
else
installation_report="$installation_report \033[91;1mSUPERLU_DIST\033[0m Installed: \033[1m NO \033[0m\n"
fi
if [ -d "$i_dir/HYPRE" ]; then
installation_report="$installation_report \033[92;1mHYPRE\033[0m Installed: \033[1m $i_dir/HYPRE \033[0m\n"
bash_library="$bash_library:$i_dir/HYPRE/lib"
else
installation_report="$installation_report \033[91;1mHYPRE\033[0m Installed: \033[1m NO \033[0m\n"
fi
bash_path="$bash_path\$PATH\""
bash_library="$bash_library\""
......
This diff is collapsed.
......@@ -12,9 +12,9 @@ if [ -d "$1/SUITESPARSE" ]; then
exit 0
fi
wget http://ppmcore.mpi-cbg.de/upload/SuiteSparse-4.5.5.tar.gz
wget http://ppmcore.mpi-cbg.de/upload/SuiteSparse-5.3.0.tar.gz
rm -rf SuiteSparse
tar -xf SuiteSparse-4.5.5.tar.gz
tar -xf SuiteSparse-5.3.0.tar.gz
if [ $? != 0 ]; then
echo "Failed to download SuiteSparse"
exit 1
......@@ -43,4 +43,4 @@ make install "CUDA=no" "INSTALL=$1/SUITESPARSE" "INSTALL_LIB=$1/SUITESPARSE/lib"
# Mark the installation
echo 1 > $1/SUITESPARSE/version
rm -rf SuiteSparse
rm SuiteSparse-4.5.5.tar.gz
rm SuiteSparse-5.3.0.tar.gz
......@@ -141,38 +141,18 @@ function remove_old()
fi
fi
if [ -d $1/SUPERLU_DIST ]; then
version=$(cat $1/SUPERLU_DIST/version)
if [ x"$version" != x"1" ]; then
echo -e "\033[1;34;5m ---------------------------------------------------------------------------------------------------------- \033[0m"
echo -e "\033[1;34;5m SuperLU (Distributed) has been updated to version 5.2.1, the component will be updated automatically \033[0m"
echo -e "\033[1;34;5m ---------------------------------------------------------------------------------------------------------- \033[0m"
sleep 5
rm -rf $1/SUPERLU_DIST
rm -rf $1/PETSC
fi
fi
if [ -d $1/HYPRE ]; then
version=$(cat $1/HYPRE/version)
if [ x"$version" != x"1" ]; then
echo -e "\033[1;34;5m ------------------------------------------------------------------------------------------- \033[0m"
echo -e "\033[1;34;5m HYPRE has been updated to version 2.11.2, the component will be updated automatically \033[0m"
echo -e "\033[1;34;5m ------------------------------------------------------------------------------------------- \033[0m"
sleep 5
rm -rf $1/HYPRE
rm -rf $1/PETSC
fi
fi
if [ -d $1/PETSC ]; then
version=$(cat $1/PETSC/version)
if [ x"$version" != x"1" ]; then
if [ x"$version" != x"2" ]; then
echo -e "\033[1;34;5m -------------------------------------------------------------------------------------- \033[0m"
echo -e "\033[1;34;5m PETSC has been updated to version 3.7.6, the component will be updated automatically \033[0m"
echo -e "\033[1;34;5m PETSC has been updated to version 3.10.2, the component will be updated automatically \033[0m"
echo -e "\033[1;34;5m -------------------------------------------------------------------------------------- \033[0m"
sleep 5
rm -rf $1/PETSC
rm -rf $1/HYPRE
rm -rf $1/MUMPS
rm -rf $1/SUPERLU_DIST
rm -rf $1/TRILINOS
fi
fi
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment